<h2>Nouveau spotlight</h2>
<div class="bloc_content">

<?php if($env->out["preview"]) : $env->out["_spotlight"] = $env->out["preview"]; ?>

<h3><?= $env->out["_spotlight"]["titre"] ?></h3>
<p class="by">
  par <?= $env->out["_spotlight"]["auteur"] ?> -
  <?= $env->out["_spotlight"]["date_publication"] ? $env->out["_spotlight"]["date_publication"] : date("Y-m-d H:i:s") ?>
</p>
<?= $env->data->html($env->out["_spotlight"]["contenu"]) ?>

<br/><br/>
<?php endif; ?>

<form name="spotlight_form" action="<?= $env->url(array("e" => "set_spotlights", "action" => "add_spotlight")) ?>" method="post">
<input type="hidden" name="preview" value="0" />
<table class="admin">
  <tr>
    <th>titre</th>
    <td><input type="text" name="titre" style="width: 500px" value="<?= $env->out["_spotlight"]["titre"] ?>"></td>
  </tr>
  <tr>
    <th>public</th>
    <td>
      <div class="info">cochez cette case pour rendre le spotlight public</div>
      <input type="checkbox" name="public" <?=
             isset($env->out["_spotlight"]["public"]) ? ($env->out["_spotlight"]["public"] ? "checked" : "") : "checked" ?>>
    </td>
  </tr>
  <tr>
    <th>date de publication</th>
    <td>
      <div class="info">
        Le spotlight qui appara&icirc;t sur le site est celui dont la date de publication est la plus r&eacute;cente<br/>
        Vous pouvez pr&eacute;ciser une date dans le future pour un affichage &agrave; la date voulue<br/>
        Laissez vide pour que la date de publication soit la date actuelle.<br/><br/>
        format : aaaa-mm-jj<br/>
        ou : aaaa-mm-jj hh-mm-ss
      </div>
      <link href="<?= $env->out_file("css/ds.css") ?>" rel="stylesheet" type="text/css" />
      <input type="text" name="date_publication" value="<?= $env->out["_spotlight"]["date_publication"] ?>" onclick="ds_sh(this, ' 00:00:00');">
    </td>
  </tr>
  <tr class="ds_box" id="ds_conclass" style="display: none;">
    <th>calendrier</th>
    <td id="ds_calclass"></td>
  </tr>
</table>
<br />
      <textarea name="spotlight" id="spotlight" style="width: 765px; height: 400px;"><?= $env->out["_spotlight"]["contenu"] ?></textarea>
      <script type="text/javascript" src="<?= $env->path("tinymce") ?>jscripts/tiny_mce/tiny_mce.js"></script>
      <script type="text/javascript">
      tinyMCE.init
      ( { mode: "exact",
          elements : "spotlight",
          theme : "advanced",
          plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
          theme_advanced_buttons1 : "bold,italic,underline,strikethrough,forecolor,|,justifyleft,justifycenter,justifyright,justifyfull,|,link,unlink,image",
          theme_advanced_buttons2 : null,
          theme_advanced_buttons3 : null,
          theme_advanced_toolbar_location : "top",
          theme_advanced_toolbar_align : "left",
          theme_advanced_statusbar_location : "bottom",
          theme_advanced_resizing : true,
          content_css : "<?= $env->out_file("css/tiny_mce.css") ?>"
        }
      );
      </script>
<br />
<table class="admin">
  <tr>
    <td align="center"><input type="submit" value="Pr&eacute;visualiser" onclick="document.forms['spotlight_form'].preview.value='1'" /></td>
    <td align="center"><input type="submit" value="Enregistrer" /></td>
  </tr>
</table>
      <script type="text/javascript" src="<?= $env->out_file("js/ds.js") ?>"></script>
</form>
</div>